Bug 1500304 (CVE-2017-13088)

Summary: CVE-2017-13088 wpa_supplicant: reinstallation of the integrity group key (IGTK) when processing a Wireless Network Management (WNM) Sleep Mode Response frame
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact: Ken Benoit <kbenoit>
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bgalvani, blueowl, dcaratti, dcbw, linville, lkundrak, negativo17, security-response-team, slawomir, sukulkar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A new exploitation technique called key reinstallation attacks (KRACK) affecting WPA2 has been discovered. A remote attacker within Wi-Fi range could exploit this attack to decrypt Wi-Fi traffic or possibly inject forged Wi-Fi packets by reinstalling a previously used integrity group key (IGTK) during a Wireless Network Management (WNM) Sleep Mode handshake.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-19 08:47:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1495527, 1495528, 1502588, 1502589    
Bug Blocks: 1491701    

Description Adam Mariš 2017-10-10 11:22:09 UTC
Wi-Fi Protected Access II (WPA2) handshake traffic can be manipulated to induce nonce and session key reuse, resulting in key reinstallation by a victim wireless access point (AP) or client. After establishing a man-in-the-middle position between an AP and client, an attacker can selectively manipulate the timing and transmission of messages in the WPA2 Wireless Network Management (WNM) Sleep Mode handshake, resulting in out-of-sequence reception or retransmission of messages.

An attacker within the wireless communications range of an affected AP and client may leverage these vulnerabilities to conduct attacks that are dependent on the data confidentiality protocol being used. Attacks may include arbitrary packet decryption and injection, TCP connection hijacking, HTTP content injection, or the replay of unicast, broadcast, and multicast frames.

Comment 1 Adam Mariš 2017-10-10 11:22:13 UTC
Acknowledgments:

Name: CERT
Upstream: Mathy Vanhoef (University of Leuven)

Comment 7 Andrej Nemec 2017-10-16 09:42:22 UTC
Created hostapd tracking bugs for this issue:

Affects: fedora-all [bug 1502588]


Created wpa_supplicant tracking bugs for this issue:

Affects: fedora-all [bug 1502589]

Comment 12 errata-xmlrpc 2017-10-17 21:40:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2907 https://access.redhat.com/errata/RHSA-2017:2907

Comment 13 Stefan Cornelius 2017-10-18 08:50:10 UTC
Statement:

This issue did not affect the versions of wpa_supplicant as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the versions of wpa_supplicant as shipped with Red Hat Enterprise Linux 7.